#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-idna
Version		:	2.8
Release		:	14.8.0.0%{?dist}
Summary		:	Support for the Internationalised Domain Names in Application
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/idna

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Support for the Internationalised Domain Names in
Applications (IDNA) protocol as specified in RFC 5891.
This is the latest version of the protocol and is
sometimes referred to as “IDNA 2008”.

This library also provides support for Unicode
Technical Standard 46, Unicode IDNA Compatibility
Processing.

This acts as a suitable replacement for the “encodings.idna”
module that comes with the Python standard library, but
only supports the old, deprecated IDNA specification (RFC 3490).

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE.rst README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
